sample18.cpp File Reference

Example: bulk insert iterator. More...

`#include <stdlib.h>`
`#include <iostream>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample18.cpp:

Go to the source code of this file.

## Functions

int | main (void)

## Detailed Description

Example: bulk insert iterator.

Bulk insert iterator uses internal buffer to accumulate a batch of bit indexes and flush it faster. This delay makes its behavior different from classic deterministic STL iterators.

Definition in file sample18.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 43 of file sample18.cpp.

References bm::bvector< Alloc >::clear(), bm::bvector< Alloc >::count(), bm::bvector< Alloc >::bulk_insert_iterator::flush(), and bm::bvector< Alloc >::inserter().